Name:           ocaml-base64
Version:        2.0.0
Release:        %mkrel 2
Summary:        Base64 encoding and decoding library for OCaml
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/mirage/ocaml-base64
Source0:        https://github.com/mirage/ocaml-base64/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
Base64 is a group of similar binary-to-text encoding schemes that represent
binary data in an ASCII string format by translating it into a radix-64
representation. It is specified in RFC 2045.

From version 2.0 upwards, the module name is called B64 to avoid clashing with
other libraries such as extlib that use the Base64 toplevel name.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure --prefix %{buildroot}/%{_prefix}
ocaml setup.ml -build
ocaml setup.ml -doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p %{buildroot}/%{_libdir}/ocaml
ocaml setup.ml -install

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/base64
%{_libdir}/ocaml/base64/META
%{_libdir}/ocaml/base64/*.cmi
%{_libdir}/ocaml/base64/*.cmxs
%{_libdir}/ocaml/base64/*.a
%{_libdir}/ocaml/base64/*.cma
%{_libdir}/ocaml/base64/*.cmxa

%files devel
%doc %{_datadir}/doc/base64
%{_libdir}/ocaml/base64/*.cmx
%{_libdir}/ocaml/base64/*.mli
%{_libdir}/ocaml/base64/*.annot
%{_libdir}/ocaml/base64/*.cmt
%{_libdir}/ocaml/base64/*.cmti


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 2.0.0-2.mga6
+ Revision: 1069777
- Rebuild against fixed ocaml

* Fri Feb 12 2016 pterjan <pterjan> 2.0.0-1.mga6
+ Revision: 957243
- imported package ocaml-base64

